Retrieve Google campaigns, ad groups, or ads based on entity type

http
GET https://services.leadconnectorhq.com/ad-publishing/google/entity

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesloc_abc123Account identifier
typestringYesAD_MANAGERIntegration type
campaignIdstringNocamp_123Campaign identifier
adGroupIdstringNoag_123Ad group identifier
entityTypestringYesCAMPAIGNEntity type
searchIdstringNosearch_123Search identifier
startDatestringNo2024-01-01Filter start date
endDatestringNo2024-12-31Filter end date
selectedAdAccountIdstringNo123-456-7890Selected ad account ID

Responses

200 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/google/entity' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?